{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "restore",
            "command": "dotnet",
            "type": "process",
            "args": [
                "restore",
                "/property:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary",
                "--ignore-failed-sources"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "build",
            "command": "dotnet",
            "type": "process",
            "args": [
                "build",
                "/p:Configuration=Debug",
                "/property:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "db-upgrade",
            "command": "dotnet",
            "type": "process",
            "args": [
                "ef",
                "database",
                "update"
            ],
            "problemMatcher": "$msCompile",
            "options": {
                "cwd": "${workspaceFolder}/src/isnd",
                "env": {
                    "ASPNETCORE_ENV": "Development"
                }
            }


        },

        {
            "label": "buildcli",
            "command": "msbuild",
            "type": "process",
            "args": [
                "src/isn",
                "/p:Configuration=Debug",
                "/property:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary",
                "/restore"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "publish",
            "command": "dotnet",
            "type": "process",
            "args": [
                "publish",
                "/p:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary",
                "/p:TargetFramework=netcoreapp2.1",
                "/p:RuntimeIdentifier=linux-x64",
                "/p:PublishDir=${workspaceFolder}/artifacts"
            ],
            "problemMatcher": "$msCompile",
            "options": {
                "cwd": "${workspaceFolder}"
            }
        },
        {
            "label": "monopublish",
            "command": "msbuild",
            "type": "process",
            "args": [
                "/t:publish",
                "/p:TargetFramework=netcoreapp2.1;PublishDir=${workspaceFolder}/artiffacts;RuntimeIdentifier=linux-x64",
                
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "copyTestConfig",
            "command": "dotnet",
            "type": "process",
            "args": [ "build", "/t:CopyTestConfig" ]
        },
        {
            "label": "test",
            "command": "dotnet",
            "type": "process",
            "options": {
                "env": {
                    "ASPNETCORE_ENVIRONMENT": "Testing"
                }
            },
            "args": [
                "test",
                "/property:GenerateFullPaths=true",
                "--logger:xunit"
            ],
            "problemMatcher": "$msCompile",
            "dependsOn": [ "build", "copyTestConfig"]
        },
        {
            "label": "watch",
            "command": "dotnet",
            "type": "process",
            "args": [
                "bin/Debug/netcoreapp2.1/isnd.dll",
                "/property:GenerateFullPaths=true",
                "/restore"
            ],
            "options": {
                "env": {
                    "ASPNETCORE_ENVIRONMENT": "Development"
                }
            },
            "problemMatcher": "$msCompile"
        }
    ]
}